%ifos darwin
%define __installdata	cp -pPR
%define __defattr	%defattr(-,root,wheel)
%else
%define __installdata	install -m 644
%define __defattr	%defattr(-,root,root)
%endif

Summary: PSFrag package
Name: psfrag
Version: 3.04
Release: 1d
# $CTAN/macros/latex/contrib/supported/psfrag
Source: psfrag-%{version}.tar.gz
License: Craig Barratt, Michael C. Grant, and David Carlisle.
Group: Applications/Publishing/TeX
BuildRoot: %{_tmppath}/%{name}
Packager: Keisuke Fujii <fujiik@jlcxuf.kek.jp>
BuildArchitectures: noarch

%description
A system for LaTeX to integrate LaTeX equations with 
Encapsulated PostScript figures.
Requires: pLaTeX2e

%prep
rm -rf $RPM_BUILD_ROOT
TEXMF=${RPM_BUILD_ROOT}%{_prefix}/share/texmf
mkdir -p $TEXMF/tex/latex/packages/%{name}
mkdir -p $TEXMF/dvips/packages/%{name}

%setup

%build
TEXBIN=%{_prefix}/bin
TEXMF=%{_prefix}/share/texmf

${TEXBIN}/latex ./%{name}.ins


%install
TEXMF=${RPM_BUILD_ROOT}%{_prefix}/share/texmf
%{__installdata} %{name}.sty ${TEXMF}/tex/latex/packages/%{name}
%{__installdata} %{name}.pro ${TEXMF}/dvips/packages/%{name}


%post -p %{_prefix}/bin/mktexlsr

%postun -p %{_prefix}/bin/mktexlsr

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{__defattr}
%doc *.txt *.ps *.eps *.tex
%{_prefix}/share/texmf/tex/latex/packages/%{name}/%{name}.sty
%{_prefix}/share/texmf/dvips/packages/%{name}/%{name}.pro


%changelog 
* Wed Oct 12 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 3.04-1d
- 1st build on MacOS X 10.4.

* Tue Jan 06 2004 Keisuke Fujii <keisuke.fujii@kek.jp> 3.04-1c
- 1st build on MacOS X 10.3.

* Thu Oct 10 2002 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- Release 1b: 1st build on MacOS X 10.2.
- version 3.04

* Tue Jan 8 2002 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- Release 1a
- version 3.04

